#include "ControlledSplitMeshNode.h"

ControlledSplitMeshNode::ControlledSplitMeshNode(wstring name, wstring modelName) : SplitMeshNode(name, modelName), ObjectNode()
{	
}

void ControlledSplitMeshNode::Update(FXMMATRIX& currentWorldTransformation)
{
	ObjectNode::Update(_worldTransformation);
	SceneGraph::Update(currentWorldTransformation);
}

bool ControlledSplitMeshNode::Initialise(void)
{
	if (!SplitMeshNode::Initialise())
	{
		return false;
	}
	return true;
}

XMMATRIX ControlledSplitMeshNode::GetWorldTransformation() const
{
	return XMLoadFloat4x4(&_combinedWorldTransformation);
}